<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for $OBJECT deletion
//
require_once('core/SiteAdminPeer.php');
require_once('core/SiteAdmin.php');
require_once('core/User.php');

$session = Session::getSession();
$Lang = $session->getLanguage();

require_once('lib/html/templates/SiteAdminTemplate.php');
$theme = new SiteAdminTemplate();

$theme->addBreadCrumb('<a href="'.GFUrl::getUrl()->baseURL('SiteAdminBrowse','','admin').'">'.Language::getSessText('SiteAdmin.EditAdmin').'</a>');

//$Project = GFUrl::getUrl()->getProject();
//$SiteAdmin = SiteAdminPeer::retrieveByPk(intval($_GET['user_id']));
$SiteAdmin = SiteAdminPeer::retrieveByPk($_GET['user_id']);
$User = UserPeer::retrieveByPk(intval($_GET['user_id']));
if (!is_object($SiteAdmin) || !is_object($User)/*|| !$SiteAdmin->userCanDelete()*/) {
	throw new PermissionDeniedException();
}

$params = array(
	//	'project' => $Project,
	//	'SiteTemplate' => $SiteTemplate,
		'action' => isset($action) ? $action : '',
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => $Lang->getText('SiteAdmin.DeletePageTitle')
		);

include('forms/SiteAdminDelete-tpl.php');

?>
