<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version $Id$
 * @author Daniel A. Prez	daniel@gforgegroup.com
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

$session = Session::getSession();
$Lang = $session->getLanguage();

require_once('plugins/docman/lib/html/DocmanTemplate.php');
require_once('plugins/docman/lib/DocmanFolderPeer.php');

$theme = new DocmanTemplate();

$filename = (isset($_POST['filename']) ? $_POST['filename'] : '');
$description = (isset($_POST['description']) ? $_POST['description'] : '');
$changes = (isset($_POST['changes']) ? $_POST['changes'] : '');

$project=GFUrl::getUrl()->getProject();
$params = array(
		'project' => $project,
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => $Lang->getText('Docman.AddPageTitle')
		);

$subdir=$_REQUEST['subdir'];
if (!$subdir) {
	$c = new Criteria();
	$c->add(DocmanFolderPeer::PROJECT_ID,$project->getProjectId());
	$c->add(DocmanFolderPeer::FOLDER_NAME,'incoming'); // default master folder
	$c->add(DocmanFolderPeer::PARENT_FOLDER_ID,0);
	$incoming = DocmanFolderPeer::doSelectOne($c);
	if (!is_object($incoming)) {
		//this should have been created on approval, but maybe the user added the plugin later
		$incoming = new DocmanFolder();
		$incoming->setFolderName('incoming');
		$incoming->setProject($project);
		$incoming->save();      // parent defaults to 0
	}
	$subdir=$incoming->getDocmanFolderId();
}
if (isset($_REQUEST['redirect_to']) && $_REQUEST['redirect_to'] == 'admin') {
	$redirect_to = 'admin';
} else {
	$redirect_to = '';
}

$action_type = (isset($_REQUEST['action_type']) ? $_REQUEST['action_type'] : DocmanFile::EDITED_UPLOAD);
$message = (isset($_REQUEST['message']) ? $_REQUEST['message'] : '');
require_once('forms/DocmanFileAdd-tpl.php');

?>
