<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

$theme->header($params);
?>
<p>
	<strong><?php echo $Lang->getText('ForumMessage.Edit'); ?></strong>
</p>
<form action="<?php echo GFUrl::getUrl()->currentURL(array('_forum_action' => 'ForumMessageEditAction')) ?>" method="POST">
	<input type="hidden" name="id" value="<?php echo $_GET['id']; ?>" />
	<table border="0">
		<tr>
			<td><strong><?php echo $Lang->getText('ForumMessage.ForumThreadIdName'); ?></strong><br />
			<input type="text" name="forum_thread_id" value="<?php echo $forum_thread_id; ?>" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('ForumMessage.CreatedByName'); ?></strong><br />
			<input type="text" name="created_by" value="<?php echo $created_by; ?>" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('ForumMessage.SubjectName'); ?></strong><br />
			<input type="text" name="subject" value="<?php echo $subject; ?>" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('ForumMessage.BodyName'); ?></strong><br />
			<input type="text" name="body" value="<?php echo $body; ?>" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('ForumMessage.PostDateName'); ?></strong><br />
			<input type="text" name="post_date" value="<?php echo $post_date; ?>" /></td>
		</tr>
		<tr>
			<td align="center">
				<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.edit') . " ","submit","","")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Back') . " ","cancel","","window.location = '" .   $this->buildForumURL(array('_forum_action' => 'ForumMessageBrowse', 'action' => 'ForumBrowse', 'forum_id' => $forum_id, 'thread_id' => $thread_id)) . " ")?>
			</td>
		</tr>
	</table>
</form>
<?php
$theme->footer($params);
?>