<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for editing TrackerItemRelation
//
require_once('plugins/tracker/lib/TrackerItemRelationPeer.php');
require_once('plugins/tracker/lib/TrackerItemRelation.php');
require_once('exceptions/PermissionDeniedException.php');

/*
//items that are dependent on us
$sql="SELECT tracker_item.* FROM tracker_item, tracker_item_relation
	WHERE tracker_item.tracker_item_id=tracker_item_relation.tracker_item_id
	AND tracker_item_relation.related_tracker_item_id='".$TrackerItem->getTrackerItemId()."'";
* /
$arr = $TrackerItem->getTrackerItemRelationsRelatedByRelatedTrackerItemIdJoinTrackerItemRelatedByTrackerItemId();

if (count($arr) < 1) {
	echo '<span class="nonefound">'.$Lang->getText('TrackerItemRelation.NoneFound').'</span>';
} else {

	$theader = array();

	$theader[] = $Lang->getText('TrackerItemRelation.TrackerItemIdName');
	//$theader[] = $Lang->getText('TrackerItemRelation.RelatedTrackerItemIdName');
	//$theader[] = $Lang->getText('TrackerItemRelation.LinkTypeName');

	echo $theme->tableTop($theader);

	foreach ($arr as $item) {
		$trow = array();
		$trow[]='<a href="'. GFUrl::getUrl()->currentBaseUrl('TrackerItemEdit').'&amp;tracker_id='.$TrackerItem->getTracker()->getTrackerID() .'&amp;tracker_item_id='.$TrackerItem->getTrackerID().'">'. $item->getTrackerItem()->getSummary().'</a>';
	//	$trow[]='<a href="'. GFUrl::getUrl()->currentBaseUrl('TrackerItemRelationEdit').'&amp;id='.$item->getID() .'">'. $item->getRelatedTrackerItemId().'</a>';
	//	$trow[]=$item->getLinkType();

		echo $theme->tableRow($trow);
	}

	echo $theme->tableBottom();

}

//items that we are dependent on
/*
$sql="SELECT tracker_item.* FROM tracker_item, tracker_item_relation
	WHERE tracker_item.tracker_item_id=tracker_item_relation.tracker_item_id
	AND tracker_item_relation.related_tracker_item_id='".$TrackerItem->getTrackerItemId()."'";
	$con=Propel::getConnection(TrackerItemPeer::DATABASE_NAME);
	$stmt = $con->createStatement();
	$rs = $stmt->executeQuery($sql);
//	$items
*/
if ($IS_TECH) {
	echo '<strong>'.$Lang->getText('TrackerItem.CommaSepListOfDeps').'</strong><br />';
	echo '<input type="text" name="related_items" size="60" maxlength="120">&nbsp;&nbsp;
	      <a href="javascript:void(0);" onclick="popup(\''.GFUrl::getUrl()->projectURL($Project, 'TrackerItemList', 'tracker', '/popups', array('tracker_id' =>$TrackerItem->getTrackerId(),'field'=>'related_items')).'\', \'300\', \'250\');">'.$Lang->getText('TrackerItemRelationPopup.Link').'</a><p><br />';
}

$tis=$TrackerItem->getTrackerItemRelationsRelatedByTrackerItemIdJoinTrackerItemRelatedByRelatedTrackerItemId();
$theader=array();
$theader[] = $Lang->getText('TrackerItem.TrackerItemIdName');
$theader[] = $Lang->getText('TrackerItem.SummaryName');
$theader[] = $Lang->getText('TrackerItemField.Percent');
$theader[] = $Lang->getText('TrackerExtraField.FieldType7');
$theader[] = $Lang->getText('Delete');
//	$theader[] = $Lang->getText('TrackerItem.Su');

echo '<strong>'.$Lang->getText('TrackerItem.DependentOn').'</strong><br />';
echo $theme->tableTop($theader);
if (count($tis) < 1) {
	echo $theme->tableFullRow($Lang->getText('TrackerItemRelation.NoneFound'));
} else {
	foreach ($tis as $ti) {
		$tef = $ti->getTrackerItemRelatedByRelatedTrackerItemId()->getTracker()->getTrackerExtraFields();
		foreach ($tef as $tracker_extra_field) {
			if ($tracker_extra_field->getAlias() == 'percentcomplete') {
				$percentcomplete_field = $tracker_extra_field;
			}
		}
		
		if (is_object($percentcomplete_field)) {
			$tracker_extra_field_id = $percentcomplete_field->getTrackerExtraFieldId();
			
			$c = new Criteria();
			$c->add(TrackerExtraFieldDataPeer::TRACKER_EXTRA_FIELD_ID, $tracker_extra_field_id);
			$c->add(TrackerExtraFieldDataPeer::TRACKER_ITEM_ID,  $ti->getTrackerItemRelatedByRelatedTrackerItemId()->getTrackerItemId());
			$percentagecomplete_field = TrackerExtraFieldDataPeer::doSelectOne($c);
			$percentagecomplete_data = (!is_null($percentagecomplete_field) ? $percentagecomplete_field->getFieldData() : 0);
		} else {
			$percentagecomplete_data = 0;
		}

		$trow=array();
		$trow[]=$ti->getTrackerItemRelatedByRelatedTrackerItemId()->getTrackerItemId();
		$trow[]=$ti->getTrackerItemRelatedByRelatedTrackerItemId()->getTrackerItemLink(); //Summary();
		$trow[]=$percentagecomplete_data;
		$trow[]=($ti->getTrackerItemRelatedByRelatedTrackerItemId()->getStatusId() == 0) ? 'Closed' : 'Open';
		$trow[]='<input type="checkbox" name="del_relation[]" value="'.$ti->getTrackerItemRelatedByRelatedTrackerItemId()->getTrackerItemId().'" />';
		echo $theme->tableRow($trow);
	}
}
echo $theme->tableBottom();

$tis=$TrackerItem->getTrackerItemRelationsRelatedByRelatedTrackerItemId();
$theader=array();
$theader[] = $Lang->getText('TrackerItem.TrackerItemIdName');
$theader[] = $Lang->getText('TrackerItem.SummaryName');

echo '<br /><strong>'.$Lang->getText('TrackerItem.DependentOnThis').'</strong><br />';
echo $theme->tableTop($theader);
if (count($tis) < 1) {
	echo $theme->tableFullRow($Lang->getText('TrackerItemRelation.NoneFound'));
} else {
	foreach ($tis as $ti) {
		$trow=array();
		$trow[]=$ti->getTrackerItemRelatedByTrackerItemId()->getTrackerItemId();
		$trow[]=$ti->getTrackerItemRelatedByTrackerItemId()->getTrackerItemLink(); //Summary();
		echo $theme->tableRow($trow);
	}
}
echo $theme->tableBottom();

?>
