<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

echo $theme->header($params);
$field_type = $_REQUEST['field_type'];
echo '<p><div class="infobox">'.$Lang->getText('Common.templateUpdating').'</div></p>'
?>

<form action="<?php echo GFUrl::getUrl()->currentBaseURL('TrackerExtraFieldAddAction') ?>" method="post">
<input type="hidden" name="tracker_id" value="<?php echo $_REQUEST['tracker_id']; ?>"  />
<input type="hidden" name="field_type" value="<?php echo $_REQUEST['field_type']; ?>"  />
	<table border="0">
		<tr>
			<td><strong><?php echo $Lang->getText('TrackerExtraField.FieldNameName'); ?></strong><span class="required">*</span><br />
			<input type="text" name="field_name" value="<?php echo $field_name; ?>"  /></td>
		</tr>
		<?php if ($field_type == TrackerExtraField::TYPE_TEXTAREA || $field_type == TrackerExtraField::TYPE_TEXT || $field_type == TrackerExtraField::TYPE_NUMERIC) { ?>
		<tr>
			<td><strong><?php echo $Lang->getText('TrackerExtraField.Attribute1Name'); ?></strong>
			<?php if ($field_type == TrackerExtraField::TYPE_TEXTAREA || $field_type == TrackerExtraField::TYPE_TEXT){ ?>
				<span class="required">*</span>
			<?php } ?>
			<br />
			<input type="text" name="attribute1" value="<?php echo $attribute1; ?>" size="2" maxlength="3" /></td>
		</tr>
		
		<?php // maxlength not shown on serial fields
			if ($field_type != TrackerExtraField::TYPE_SERIAL){ ?>
		<tr>
			<td><strong><?php echo $Lang->getText('TrackerExtraField.Attribute2Name'); ?></strong>
			
			<?php if ($field_type == TrackerExtraField::TYPE_TEXTAREA || $field_type == TrackerExtraField::TYPE_TEXT) { ?>
				<span class="required">*</span>
			<?php } ?>
			<br />
			<input type="text" name="attribute2" value="<?php echo $attribute2; ?>"  size="2" maxlength="3" /></td>
		</tr>
		<?php } ?>
		<?php } ?>
		<?php if ($field_type == TrackerExtraField::TYPE_NUMERIC || $field_type == TrackerExtraField::TYPE_TEXT) { ?>
		<tr>
			<td><strong><?php echo $Lang->getText('TrackerExtraField.DefaultValueName'); ?></strong><br />
			<input type="text" name="default_value" value="<?php echo $default_value; ?>"  /></td>
		</tr>
		<?php } ?>
		
		<?php // TYPE_SERIAL is readonly and automatic, so there is no need to set this
		if ($field_type != TrackerExtraField::TYPE_SERIAL) { ?>
		<tr>
			<td><strong><?php echo $Lang->getText('TrackerExtraField.IsRequiredName'); ?></strong><span class="required">*</span><br />
			<input type="checkbox" name="is_required" value="<?php echo $is_required; ?>" disabled="disabled" /></td>
		</tr>
		<tr>
		<?php } ?>
			<td><strong><?php echo $Lang->getText('TrackerExtraField.FieldOrderName'); ?></strong><span class="required">*</span><br />
			<input type="text" name="field_order" value="<?php echo $field_order; ?>"  size="2" maxlength="3" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('TrackerExtraField.UseInQuickBrowseName'); ?></strong><span class="required">*</span><br />
			<input type="checkbox" name="use_in_quick_browse" value="<?php echo $use_in_quick_browse; ?>" disabled="disabled" /></td>
		</tr>
		<tr>
		<?php if ($field_type != TrackerExtraField::TYPE_SERIAL) { ?>
			<td><strong><?php echo $Lang->getText('TrackerExtraField.ShowOnSubmitName'); ?></strong><span class="required">*</span><br />
			<input type="checkbox" name="show_on_submit" value="<?php echo $show_on_submit; ?>" disabled="disabled" /></td>
		</tr>
		<?php } ?>
		<tr>
		<td>
			<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.add') . " ","submit","","")?>
			<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Cancel') . " ","cancel","","window.location = '" .   GFUrl::getUrl()->projectURL(GFUrl::getUrl()->getProject(),'TrackerExtraFieldBrowse','tracker','admin',array('tracker_id' => $tracker_id)) . "'; ")?>
		</td>
		</tr>
	</table>
</form>

<?php
echo $theme->footer($params);
?>
