<?php

/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version $Id$
 * @author Daniel A. Prez	daniel@gforgegroup.com
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */


//get the roles for the project, and only allow to add a user if a role has been created
$project = ProjectPeer::retrieveByPk($project_id);
$project_roles = $project->getRoles();
if (count($project_roles)>0) {
	echo '<form action="'. GFUrl::getUrl()->currentBaseURL('AddUserToProjectAction') . '" method="POST">
	<input name="user_name" type="text" value="" />
	<br />
	 (' . Language::getSessText('SiteAdmin.UserList.AddtoProj') . ' ' . $project->getProjectName() . '):
	<br />
	<input type="hidden" name="project_id" value="' . $project_id . '" />
	<select name="role">';
	foreach ($project_roles as $project_role) {
		echo '<option value="' . $project_role->getPrimaryKey() . '">' . $project_role->getName() . '</option>';
	}
	echo '
	</select>
	<?php echo HTMLWidget::button("submit"," . Language::getSessText(Common.Submit) . ","Submit","","")?>
	</form>';
} else {
	echo Language::getSessText('ProjectAdmin.RoleNotExist');
}


?>